Retrieve Consent Logs

Retrieves Consent Management logs for the specified User.

GET
/identity/v2/manage/account/{uid}/consent/logs

Retrieves Consent Management logs for the specified User.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

uid*string

The UID associated with the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/manage/account/43e4417bd2de4a1fa82445274f864203/consent/logs"
{
  "Uid": "string",
  "ConsentLogs": [
    {
      "UpdateType": "consent-update",
      "UserAgent": "Mozilla/5.0",
      "IP": "192.168.1.1",
      "Host": "loginradius.com",
      "LoggedOnDate": "2025-07-15T12:34:56Z",
      "CurrentConsentFormsVersions": [
        {
          "IsCustom": true,
          "Version": 1,
          "Event": "newsletter_signup"
        }
      ],
      "ConsentLogs": [
        {
          "ConsentId": "123e4567e89b12d3a456426614174000",
          "Event": "newsletter_signup"
        }
      ],
      "Id": "60c72b2f9b1e8d3f4c8b4567"
    }
  ]
}

{
  "ErrorCode": 920,
  "Message": "API key is invalid",
  "Description": "The provided LoginRadius API key is invalid, please use a valid API key of your LoginRadius account."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 1228,
  "Message": "Consent logs not available.",
  "Description": "Consent logs not available."
}